#
# spec file for package freedoom
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           freedoom
Version:        0.8
Release:        8.2
Summary:        Replacement game files for Doom game engines
License:        BSD-3-Clause
Group:          Amusements/Games/3D/Shoot
Url:            http://nongnu.org/freedoom/

#Git-Web:	http://github.com/freedoom/freedoom
#Git-Clone:	git://github.com/freedoom/freedoom
Source:         http://download.savannah.gnu.org/releases/freedoom/freedoom-iwad/freedoom-iwad-v%version.zip
Source3:        http://download.savannah.gnu.org/releases/freedoom/freedoom-iwad/ultimate/freedoom-ultimate-v%version.zip
Source5:        freedoom.desktop
Source6:        freedoom.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  unzip
BuildRequires:  update-desktop-files
Recommends:     prboom
%define waddir  %_datadir/doom

%description
A set of game resources for the DOOM game engine. While the Doom
source code is free/libre, you currently still need one of the
proprietary IWAD files from id in order to play Doom. Freedoom aims
to create a free alternative. Combined with the GPL-licensed Doom
source code, this will result in a completely free Doom-based game.

%prep
%setup -Tcq -a0 -a3

%build
# Game data files. Nothing to build!

%install
b="%buildroot"
install -Dpm0644 "freedoom-iwad-v%version/doom2.wad" "$b/%waddir/freedoom.wad"
install -Dpm0644 "freedoom-ultimate-v%version/doom.wad" "$b/%waddir/freedoom-ultimate.wad"
mkdir -p "$b/%_docdir/%name"
cp "freedoom-iwad-v%version"/{COPYING,CREDITS,README.html} \
	"$b/%_docdir/%name/"
%suse_update_desktop_file -i %name

%files
%defattr(-,root,root)
%waddir/
%_docdir/%name/
%_datadir/applications/*.desktop
%_datadir/pixmaps/*.png

%changelog
* Fri Jan  3 2014 jengelh@inai.de
- Update to new upstream release 0.8
  * Ultimate Freedoom's episode 4 is now the Cacoward-winning Double
  Impact. Many maps have been updated, and a few sprites and sounds
  have been upgraded as well.
- Remove signature verification as sig files are no longer provided
* Wed May  1 2013 jengelh@inai.de
- Update to new upstream release 0.8~beta1
  * Various map, sprite and texture updates
- Package freedoom-ultimate as well
- Do not hard-require prboom; freedoom works with any engine
- Signature verification
- Wrap description at 70 cols
* Tue May  3 2011 claes.backstrom@opensuse.org
- updated to 0.7
* Mon Feb 15 2010 prusnak@suse.cz
- updated to 0.6.4
* Tue Jul  1 2008 claes.backstrom@fsfe.org
- New upstream version 0.6.2
* Wed Nov 21 2007 claes.backstrom@fsfe.org
- Initial package built from Fedora package (0.5-4)
